=== debian/changelog ===
ipu6-drivers (0~git202211220708.278b7e3d-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to jammy. (LP: #1972109)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 30 Nov 2022 16:54:01 +0000

ipu6-drivers (0~git202211220708.278b7e3d-0ubuntu0.23.04.1) lunar; urgency=low

  [ You-Sheng Yang ]
  * Initial release. (LP: #1972109)
    - dkms: use debian package version as PACKAGE_VERSION
    - build: fix kernel feature macro definitions
    - build: drop inlined vsc builds
    - ivsc: import headers
    - ivsc: load symbols by kprobe
    - Fix compilation with kernel 6.1
    - Fix crash due to module probe order

  [ Dimitri John Ledkov ]
  * debian/control:
    - add missing dh-dkms built-dependency
    - bump standard version
    - update urls to github.com
    - drop libc6-dev dependency
  * debian/rules use full DEB_VERSION for package version
  * debian/changelog use backports friendly version number  
  * Fix ftbfs against v5.19 kernels without any prior ipu6 patches

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Thu, 24 Nov 2022 16:45:54 +0800
