## ipu6-drivers 0~git202302081010.7fdfb5eb

=== debian/changelog ===
ipu6-drivers (0~git202302081010.7fdfb5eb-0ubuntu0.23.10.2) mantic; urgency=medium

  * debian/patches/0010-linux-6.5-get_user_pages-dropped-vmas.patch:
    - Fix Linux 6.5 build (LP: #2028930) 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Jul 2023 10:36:03 +0000

ipu6-drivers (0~git202302081010.7fdfb5eb-0ubuntu0.23.10.1) mantic; urgency=low

  [ You-Sheng Yang ]
  * New upstream 20230208_1038 release. (LP: #2007368)
    - drop patches applied in upstream

  [ Hans de Goede ]
  * Don't rename the already registered PCI-device
  * cio2-bridge: Fix compilation with kernel >= 6.3

  [ Hao Yao ]
  * media: hm2170: Support ver D silicon

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 01 May 2023 22:13:43 +0800
