## ipu6-drivers 0~git202310180730.3f813580

=== debian/changelog ===
ipu6-drivers (0~git202310180730.3f813580-0ubuntu0.23.10.1) mantic; urgency=low

  [ You-Sheng Yang ]
  * New upstream release
    - Support mipi camera on Intel Meteor Lake platform (LP: #2031412)
    - debian: refresh patches, drop upstreamed ones
  * d/patches/0007: add CONFIG_VIDEO_V4L2_I2C to BUILD_EXCLUSIVE_CONFIG
    (LP: #2012407)
  * debian: add modaliases (LP: #2021740)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 01 Sep 2023 17:51:53 +0800
