=== drivers/media/pci/intel/ipu6/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 					   ipu6.o \
 					   ../ipu-fw-com.o
 ifdef CONFIG_IPU_ISYS_BRIDGE
-intel-ipu6-objs				+= ../ipu-isys-bridge.o
+intel-ipu6-objs				+= ../cio2-bridge.o
 endif
 
 obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6.o
