=== debian/changelog ===
ipu6-drivers (0~git202311240921.07f0612e-0ubuntu2) noble; urgency=medium

  [ You-Sheng Yang ]
  * Failed to build against v6.8-rcX: multiple failures (LP: #2054496)
    - backport: replace strlcpy with strscpy
    - backport: Switch to stream-aware state functions

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 21 Feb 2024 22:02:47 +0800

ipu6-drivers (0~git202311240921.07f0612e-0ubuntu1) noble; urgency=medium

  * Intel IPU6 camera support for Dell MayaBay MLK (LP: #2044991)
    - new upstream Release_20231124 release
    - debian: refresh patches

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 02 Dec 2023 00:45:55 +0800

ipu6-drivers (0~git202310180730.3f813580-0ubuntu0.24.04.1) noble; urgency=low

  [ Hao Yao ]
  * New upstream 20230802_1500_mtl_plat release.
  * New upstream 20230911_0620_mtl_plat_pv release.

  [ Hans de Goede ]
  * Fix compilation with kernels >= 6.5.0 (LP: #2026402)
    - ipu-psys: Fix compilation with kernels >= 6.5.0
    - ipu6: Fix compilation with kernels >= 6.6.0
    - ipu6: Fix sensor driver compilation with kernels >= 6.6.0

  [ You-Sheng Yang ]
  * Support mipi camera on Intel Meteor Lake platform (LP: #2031412)
    - debian: refresh patches
  * dkms: add CONFIG_VIDEO_V4L2_I2C to BUILD_EXCLUSIVE_CONFIG (LP: #2012407)
  * debian: add modaliases (LP: #2021740)
  * UBUNTU: SAUCE: i2c: compile omitted sensor drivers

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 01 Sep 2023 17:51:53 +0800
