=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  dkms,
  ${misc:Depends},
 Provides: ipu6-modules
+XB-Modaliases: ${modaliases}
 Description: Intel Integrated Image Processing Unit 6 (IPU6) driver
  This package provides kernel drivers for MIPI cameras through the Intel IPU6
  on Intel Tiger Lake and Alder Lake platforms.
