=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
   $(empty)
 
 %:
-	dh $@ --with dkms
+	dh $@ --with dkms,modaliases
 
 override_dh_auto_configure:
 override_dh_auto_build:
