=== drivers/media/pci/intel/ipu6/Makefile ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # SPDX-License-Identifier: GPL-2.0
-# Copyright (c) 2017 - 2020 Intel Corporation.
+# Copyright (c) 2017 - 2024 Intel Corporation.
+
+ifneq ($(EXTERNAL_BUILD), 1)
+srcpath := $(srctree)
+endif
 
 ccflags-y += -DIPU_TPG_FRAME_SYNC -DIPU_PSYS_GPC \
 		-DIPU_ISYS_GPC
@@ -53,5 +57,6 @@
 
 obj-$(CONFIG_VIDEO_INTEL_IPU6)		+= intel-ipu6-psys.o
 
-ccflags-y += -I$(src)/..
-ccflags-y += -I$(src)
+ccflags-y += -I$(srcpath)/$(src)/../../../../../include/
+ccflags-y += -I$(srcpath)/$(src)/../
+ccflags-y += -I$(srcpath)/$(src)/
