=== debian/changelog ===
ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2~24.04.3) noble; urgency=medium

  * media: intel-ipu6: Use new model name for downstream driver (LP: #2092139)

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 19 Dec 2024 02:55:23 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2~24.04.2) noble; urgency=medium

  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.11
    (LP: #2076262)

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 08 Aug 2024 11:36:32 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2~24.04.1) noble; urgency=medium

  [ You-Sheng Yang ]
  * Embedded camera using camera sensors ov02e10 and ov08a10 doesn't work:
    missing kernel driver (LP: #2072643)
    - debian: fix index numbers in dkms.conf
  * Failed to enable camera on Dell XPS 9320: ov01a10 i2c-OVTI01A0:00: failed
    to check hwcfg: -22 (LP: #2073453)
    - debian: skip hwcfg checks for Dell XPS 9320 with ov01a10 camera sensor

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 18 Jul 2024 12:02:47 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu1~24.04.1) noble; urgency=medium

  [ You-Sheng Yang ]
  * upstream Release_20240624 release (LP: #2067364)
  * UBUNTU: SAUCE: [IPU6] skip hwcfg checking for platforms with none/broken
    graph port nodes (LP: #2070251)
  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.10
  * ov08x40: add back driver source (LP: #2060101)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Jun 2024 22:01:05 +0800

ipu6-drivers (0~git202404110253.97c94720-0ubuntu1) noble; urgency=medium

  [ You-Sheng Yang ]
  * New upstream Release_20240409 release (LP: #2061747)
    - drop upstreamed "backport: replace strlcpy with strscpy" patch
    - debian: refresh patches
    - UBUNTU: SAUCE: firmware: fallback to old firmware path
    - UBUNTU: SAUCE: don't fail probing at hwcfg checks

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 11 Apr 2024 18:38:46 +0800
