=== debian/changelog ===
ipu6-drivers (0~git202407190257.9369b88e-0ubuntu1.2) oracular; urgency=medium

  * media: intel-ipu6: Use new model name for downstream driver (LP: #2092139)

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 02 Apr 2025 10:07:59 +0800

ipu6-drivers (0~git202407190257.9369b88e-0ubuntu1.1) oracular; urgency=medium

  [ You-Sheng Yang ]
  * OVTI08F4:00: number of CSI2 data lanes 2 is not supported (LP: #2084059)
    - media: ov08x40: Add support for 2/4 lanes support at 1500 Mbps

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 11 Oct 2024 01:53:49 +0800

ipu6-drivers (0~git202407190257.9369b88e-0ubuntu1) oracular; urgency=medium

  [ You-Sheng Yang ]
  * ARL platform Beta release on 2024-07-18
    - debian: refresh patches
  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.11
    (LP: #2076262)
  * debian: drop --with dkms from rules

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 08 Aug 2024 11:36:32 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu2) oracular; urgency=medium

  [ You-Sheng Yang ]
  * Embedded camera using camera sensors ov02e10 and ov08a10 doesn't work:
    missing kernel driver (LP: #2072643)
    - debian: fix index numbers in dkms.conf
  * Failed to enable camera on Dell XPS 9320: ov01a10 i2c-OVTI01A0:00: failed
    to check hwcfg: -22 (LP: #2073453)
    - debian: skip hwcfg checks for Dell XPS 9320 with ov01a10 camera sensor

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 18 Jul 2024 12:02:47 +0800

ipu6-drivers (0~git202406240945.aecec2aa-0ubuntu1) oracular; urgency=medium

  [ You-Sheng Yang ]
  * upstream Release_20240624 release (LP: #2067364)
  * UBUNTU: SAUCE: [IPU6] skip hwcfg checking for platforms with none/broken
    graph port nodes (LP: #2070251)
  * UBUNTU: SAUCE: media: ipu6: Fix compilation with kernels >= 6.10
  * ov08x40: add back driver source (LP: #2060101)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Jun 2024 22:01:05 +0800
