=== drivers/media/i2c/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 obj-$(CONFIG_VIDEO_OV01A10) += ov01a10.o
 obj-$(CONFIG_VIDEO_OV02C10) += ov02c10.o
 obj-$(CONFIG_VIDEO_OV02E10) += ov02e10.o
+obj-$(CONFIG_VIDEO_OV05C10) += ov05c10.o
 obj-$(CONFIG_VIDEO_OV2740) += ov2740.o
 obj-$(CONFIG_VIDEO_HM2170) += hm2170.o
 obj-$(CONFIG_VIDEO_HM2170) += hm2172.o
