=== debian/changelog ===
ipu6-drivers (0~git202411190607.0ad49882-0ubuntu3) plucky; urgency=medium

  * kernel warning in dma_alloc_attrs, probe with driver intel_ipu6_isys.isys
    failed with error -12 (LP: #2100861)
    - Apply changes from upstream pull request #324
    - Update preprocessor version check to also apply to kernels based on
      v6.11.11+

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 05 Mar 2025 23:02:51 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu2) plucky; urgency=medium

  * Fix dkms failure to build against kernel v6.13 (LP: #2099881)

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 24 Feb 2025 21:34:13 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu1) plucky; urgency=medium

  [ You-Sheng Yang ]

  * Support mipi camera on Intel Arrow Lake platform (LP: #2085845)
    - debian: refresh patches
    - debian: install dkms patches to patch at build time
  * Use in-tree intel-ipu6-isys module for kernel >= v6.10
  * debian: update Vcs info
  * Use Bug-Ubuntu instead of BugLink in debian patches
  * Use upstream version as dkms version

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 26 Nov 2024 16:38:30 +0800

ipu6-drivers (0~git202407190257.9369b88e-0ubuntu2) plucky; urgency=medium

  [ You-Sheng Yang ]
  * OVTI08F4:00: number of CSI2 data lanes 2 is not supported (LP: #2084059)
    - media: ov08x40: Add support for 2/4 lanes support at 1500 Mbps
  * Failed to build against linux-6.12, multiple errors (LP: #2083996)
    - SAUCE: backport: [tree-wide] finally take no_llseek out
    - SAUCE: backport: move asm/unaligned.h to linux/unaligned.h
    - update 0023-UBUNTU-SAUCE-media-ipu6-Fix-compilation-with-kernels.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 11 Oct 2024 01:53:49 +0800
