=== drivers/media/i2c/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2021 Intel Corporation.

obj-$(CONFIG_ICAMERA_HM11B1) += hm11b1.o
obj-$(CONFIG_ICAMERA_GC5035) += gc5035.o
obj-$(CONFIG_ICAMERA_OV01A1S) += ov01a1s.o
obj-$(CONFIG_ICAMERA_OV01A10) += ov01a10.o
obj-$(CONFIG_ICAMERA_OV02C10) += ov02c10.o
obj-$(CONFIG_ICAMERA_OV02E10) += ov02e10.o
obj-$(CONFIG_ICAMERA_OV05C10) += ov05c10.o
obj-$(CONFIG_ICAMERA_OV2740) += ov2740.o
obj-$(CONFIG_ICAMERA_HM2170) += hm2170.o
obj-$(CONFIG_ICAMERA_HM2170) += hm2172.o
obj-$(CONFIG_ICAMERA_IMX471) += imx471.o
obj-$(CONFIG_ICAMERA_HI556) += hi556.o
obj-$(CONFIG_POWER_CTRL_LOGIC) += power_ctrl_logic.o
