=== debian/changelog ===
ipu6-drivers (0~git202506270118.9bff7368-0ubuntu1) questing; urgency=medium

  * New upstream 20250625_1415_509 tag release (LP: #2101850)
    - refresh debian patches
    - add d/p/patches-remove-u64-dma_mask-for-the-kernel-higher-than-6..patch
      for kernels >= 6.16

  * Support Samsung S5K3J1 sensor for Intel MIPI camera (LP: #2121852)
    - add d/p/add-Samsung-s5k3j1-sensor.patch

  * Support suspend/resume for IMX471 camera sensor (LP: #2121948)
    - drop upstreamed d/p/add-imx471-into-dkms.patch
    - drop upstreamed d/p/add-imx471-sensor-driver.patch
    - add d/p/Add-IMX471-power-management-for-correct-behaviors.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 04 Sep 2025 18:53:12 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu6) questing; urgency=medium

  * dkms >= 3.1.7 refuses to build intel-ipu6-dkms due to duplicated modules
    (LP: #2115145)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 26 Aug 2025 01:50:30 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu5) questing; urgency=medium

  * intel_ipu6_psys not correctly probed at boot since kernel >= v6.13
    (LP: #2115083)
    - add d/p/Modify-0001-v6.10-IPU6-headers-used-by-PSYS.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 21 Jun 2025 00:59:00 +0800

ipu6-drivers (0~git202411190607.0ad49882-0ubuntu4) questing; urgency=medium

  * Support Sony IMX471 camera sensor for Intel IPU7 platforms (LP: #2107320)
    - add imx471 sensor driver
    - add imx471 into dkms

  * Fix lintian warning old-fsf-address-in-copyright-file

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 15 Apr 2025 14:21:23 +0800
