=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  quilt,
 Standards-Version: 4.6.1.0
 Homepage: https://github.com/intel/ipu6-drivers
-Vcs-Browser: https://github.com/intel/ipu6-drivers/tree/master
-Vcs-Git: https://github.com/intel/ipu6-drivers.git
+Vcs-Browser: https://git.launchpad.net/ubuntu/+source/ipu6-drivers
+Vcs-Git: https://git.launchpad.net/ubuntu/+source/ipu6-drivers
 
 Package: intel-ipu6-dkms
 Architecture: amd64
