=== debian/changelog ===
ipu6-drivers (0~git202511120800.9766e218-0ubuntu2) resolute; urgency=medium

  * migrate to in-tree ov08x40 camera sensor driver (LP: #2137700)

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 09 Jan 2026 15:40:40 +0800

ipu6-drivers (0~git202511120800.9766e218-0ubuntu1) resolute; urgency=medium

  * New upstream 20251104_0740_359 tag release (LP: #2134604)
    - refresh debian patches
    - ov08x40: update base to v6.15 as done in the in-tree kernel patches
      patch/v6.14.

  * failed to build against linux kernel < v6.12.5 (LP: #2134695)
    - media: ipu6: fix building with kernel < v6.12.5

  * failed to build against linux kernel < v6.10 (LP: #2134800)
    - media: ipu6: fix building with kernel < v6.10

  * failed to build against linux kernel < 6.8 (LP: #2134838)
    - UBUNTU: SAUCE: backport: Add v4l2_link_freq_to_bitmap

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 04 Dec 2025 00:36:31 +0800
